Index: cmd.c
===================================================================
--- cmd.c	(revision 6a7111370ea0e1de2c3eb86a85f34cd68848d4b1)
+++ cmd.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -135,9 +135,9 @@
 void owl_cmd_cleanup(owl_cmd *cmd)
 {
-  if (cmd->name) g_free(cmd->name);
-  if (cmd->summary) g_free(cmd->summary);
-  if (cmd->usage) g_free(cmd->usage);
-  if (cmd->description) g_free(cmd->description);
-  if (cmd->cmd_aliased_to) g_free(cmd->cmd_aliased_to);
+  g_free(cmd->name);
+  g_free(cmd->summary);
+  g_free(cmd->usage);
+  g_free(cmd->description);
+  g_free(cmd->cmd_aliased_to);
   if (cmd->cmd_perl) owl_perlconfig_cmd_cleanup(cmd);
 }
Index: commands.c
===================================================================
--- commands.c	(revision c809f5e8a3cc2745724f518c89b09279b5508b02)
+++ commands.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -1288,5 +1288,5 @@
   }
   owl_function_nextmsg_full(filter, skip_deleted, last_if_none);
-  if (filter) g_free(filter);
+  g_free(filter);
   return(NULL);
 }
@@ -1318,5 +1318,5 @@
   }
   owl_function_prevmsg_full(filter, skip_deleted, first_if_none);
-  if (filter) g_free(filter);
+  g_free(filter);
   return(NULL);
 }
@@ -1691,7 +1691,5 @@
   commands = g_strsplit_set(newbuff, ";", 0);
   for (i = 0; commands[i] != NULL; i++) {
-    if (lastrv) {
-      g_free(lastrv);
-    }
+    g_free(lastrv);
     lastrv = owl_function_command(commands[i]);
   }
Index: editwin.c
===================================================================
--- editwin.c	(revision 47e0a6a50d1c08ec05030b2507b3f1a84b618a9f)
+++ editwin.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -317,6 +317,5 @@
   }
 
-  if (locktext)
-    g_free(locktext);
+  g_free(locktext);
 
   oe_set_index(e, lock);
Index: functions.c
===================================================================
--- functions.c	(revision 7865479440dd042766ecbbc1119b45e5eb7cd6a6)
+++ functions.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -32,5 +32,5 @@
   char *rv;
   rv=owl_function_command(cmdbuff);
-  if (rv) g_free(rv);
+  g_free(rv);
 }
 
@@ -453,5 +453,5 @@
 
   if (rv || status) {
-    if(cryptmsg) g_free(cryptmsg);
+    g_free(cryptmsg);
     g_free(old_msg);
     owl_function_error("Error in zcrypt, possibly no key found.  Message not sent.");
@@ -991,5 +991,5 @@
   /* execute the commands in shutdown */
   ret = owl_perlconfig_execute("BarnOwl::Hooks::_shutdown();");
-  if (ret) g_free(ret);
+  g_free(ret);
 
   /* signal our child process, if any */
@@ -2358,7 +2358,5 @@
 done:
   g_free(class);
-  if (instance) {
-    g_free(instance);
-  }
+  g_free(instance);
   return(filtname);
 }
Index: global.c
===================================================================
--- global.c	(revision 7b4f3bea704ed82f2c36ba19fcf354d7442a5bb7)
+++ global.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -505,5 +505,5 @@
 
 void owl_global_set_startupargs(owl_global *g, int argc, char **argv) {
-  if (g->startupargs) g_free(g->startupargs);
+  g_free(g->startupargs);
   g->startupargs = g_strjoinv(" ", argv);
 }
Index: keybinding.c
===================================================================
--- keybinding.c	(revision d07af84683f667d7c34814c1b0a12823b08f6df0)
+++ keybinding.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -69,7 +69,7 @@
 void owl_keybinding_delete(owl_keybinding *kb)
 {
-  if (kb->keys) g_free(kb->keys);
-  if (kb->desc) g_free(kb->desc);
-  if (kb->command) g_free(kb->command);
+  g_free(kb->keys);
+  g_free(kb->desc);
+  g_free(kb->command);
   g_free(kb);
 }
Index: owl.c
===================================================================
--- owl.c	(revision 9efa5bd38b986cf116a08ae43aa3f8629dcc6e60)
+++ owl.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -552,5 +552,5 @@
   owl_function_debugmsg("startup: executing perl startup, if applicable");
   perlout = owl_perlconfig_execute("BarnOwl::Hooks::_startup();");
-  if (perlout) g_free(perlout);
+  g_free(perlout);
 
   /* welcome message */
Index: perlconfig.c
===================================================================
--- perlconfig.c	(revision f2d71cfa06117d6e28806432db20b584c4596a19)
+++ perlconfig.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -467,5 +467,5 @@
                                            :"BarnOwl::_receive_msg_legacy_wrap", m);
   }
-  if (ptr) g_free(ptr);
+  g_free(ptr);
 }
 
@@ -478,5 +478,5 @@
                                            :"BarnOwl::Hooks::_new_msg", m);
   }
-  if (ptr) g_free(ptr);
+  g_free(ptr);
 }
 
Index: perlglue.xs
===================================================================
--- perlglue.xs	(revision 6a7111370ea0e1de2c3eb86a85f34cd68848d4b1)
+++ perlglue.xs	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -57,5 +57,5 @@
 		RETVAL
 	CLEANUP:
-		if (rv) g_free(rv);
+		g_free(rv);
 
 SV *
@@ -114,5 +114,5 @@
 		RETVAL
 	CLEANUP:
-		if (rv) g_free(rv);
+		g_free(rv);
 
 const utf8 *
@@ -141,5 +141,5 @@
 		RETVAL
     CLEANUP:
-		if (rv) g_free(rv);
+		g_free(rv);
 
 void
@@ -324,6 +324,5 @@
 		RETVAL
 	CLEANUP:
-		if (rv)
-			g_free(rv);
+		g_free(rv);
 
 void
Index: variable.c
===================================================================
--- variable.c	(revision f203cad04d71e968a11be5e72e6c9d805e02010d)
+++ variable.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -641,7 +641,7 @@
 
 void owl_variable_update(owl_variable *var, const char *summary, const char *desc) {
-  if(var->summary) g_free(var->summary);
+  g_free(var->summary);
   var->summary = g_strdup(summary);
-  if(var->description) g_free(var->description);
+  g_free(var->description);
   var->description = g_strdup(desc);
 }
@@ -651,5 +651,5 @@
   if(old) {
     owl_variable_update(old, summ, desc);
-    if(old->pval_default) g_free(old->pval_default);
+    g_free(old->pval_default);
     old->pval_default = g_strdup(initval);
   } else {
@@ -944,5 +944,5 @@
 void owl_variable_delete_default(owl_variable *v)
 {
-  if (v->val) g_free(v->val);
+  g_free(v->val);
 }
 
@@ -1076,5 +1076,5 @@
     if (!v->validate_fn(v, newval)) return(-1);
   }
-  if (v->val) g_free(v->val);
+  g_free(v->val);
   v->val = g_strdup(newval);
   return(0);
Index: view.c
===================================================================
--- view.c	(revision d4927a70549407fe7f56b4ae1d3949663a370205)
+++ view.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -160,4 +160,4 @@
 {
   owl_list_cleanup(&v->ml.list, NULL);
-  if (v->name) g_free(v->name);
+  g_free(v->name);
 }
Index: zcrypt.c
===================================================================
--- zcrypt.c	(revision 1dd285b0045528991a838942c7ba925dbcf64128)
+++ zcrypt.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -476,12 +476,8 @@
 
   for(i = 0; i < MAX_SEARCH; i++) {
-    if(varname[i] != NULL) {
-      g_free(varname[i]);
-    }
-  }
-
-  if(filename != NULL) {
-    g_free(filename);
-  }
+    g_free(varname[i]);
+  }
+
+  g_free(filename);
 
   return keyfile;
@@ -773,5 +769,5 @@
   err = call_filter("gpg", argv, in, &out, &status);
   if(err || status) {
-    if(out) g_free(out);
+    g_free(out);
     return FALSE;
   }
@@ -856,5 +852,5 @@
   err = call_filter("gpg", argv, in, &out, &status);
   if(err || status) {
-    if(out) g_free(out);
+    g_free(out);
     return FALSE;
   }
Index: zephyr.c
===================================================================
--- zephyr.c	(revision f203cad04d71e968a11be5e72e6c9d805e02010d)
+++ zephyr.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -417,6 +417,5 @@
     return 0;
   }
-  if (buffer)
-    g_free(buffer);
+  g_free(buffer);
 
   return owl_zephyr_loadsubs_helper(subs, count);
Index: zwrite.c
===================================================================
--- zwrite.c	(revision 3f52e1446b6b705636f09d02d657c28d38ef29a2)
+++ zwrite.c	(revision 3b8a563ae4e07b1064fe005714793565ac720dc4)
@@ -185,5 +185,5 @@
 void owl_zwrite_set_message_raw(owl_zwrite *z, const char *msg)
 {
-  if (z->message) g_free(z->message);
+  g_free(z->message);
   z->message = owl_validate_utf8(msg);
 }
@@ -195,5 +195,5 @@
   char *tmp = NULL, *tmp2;
 
-  if (z->message) g_free(z->message);
+  g_free(z->message);
 
   j=owl_list_get_size(&(z->recips));
@@ -289,5 +289,5 @@
 void owl_zwrite_set_opcode(owl_zwrite *z, const char *opcode)
 {
-  if (z->opcode) g_free(z->opcode);
+  g_free(z->opcode);
   z->opcode=owl_validate_utf8(opcode);
 }
@@ -306,5 +306,5 @@
 void owl_zwrite_set_zsig(owl_zwrite *z, const char *zsig)
 {
-  if(z->zsig) g_free(z->zsig);
+  g_free(z->zsig);
   z->zsig = g_strdup(zsig);
 }
@@ -353,12 +353,12 @@
 {
   owl_list_cleanup(&(z->recips), &g_free);
-  if (z->cmd) g_free(z->cmd);
-  if (z->zwriteline) g_free(z->zwriteline);
-  if (z->class) g_free(z->class);
-  if (z->inst) g_free(z->inst);
-  if (z->opcode) g_free(z->opcode);
-  if (z->realm) g_free(z->realm);
-  if (z->message) g_free(z->message);
-  if (z->zsig) g_free(z->zsig);
+  g_free(z->cmd);
+  g_free(z->zwriteline);
+  g_free(z->class);
+  g_free(z->inst);
+  g_free(z->opcode);
+  g_free(z->realm);
+  g_free(z->message);
+  g_free(z->zsig);
 }
 
